<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Parsers/IDL/idlvisitor/AstVisitor.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Parsers.IDL.idlvisitor.AstVisitor</title>
<link href="../../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">module <a href="../../../../Synopsis.html" >Synopsis</a>.<a href="../../../Parsers.html" >Parsers</a>.<a href="../../IDL.html" >IDL</a>.<a href="../idlvisitor.html" >idlvisitor</a>
</div><div class="class-name">class AstVisitor

</div><div class="links"><div class="file">File: <a href="../../../../../File/Synopsis/Parsers/IDL/idlvisitor.py.html" target="detail">../Synopsis/Parsers/IDL/idlvisitor.py</a></div> <div class="xref"><a href="../../../../../XRef/xref21.html#Synopsis.Parsers.IDL.idlvisitor.AstVisitor" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#line65" ><img src="../../../../../src-py.png" alt="source code"/></a></div></div>   <div class="doc">Visitor for AST nodes

Functions:

  visitAST&#40;node&#41;
  visitModule&#40;node&#41;
  visitInterface&#40;node&#41;
  visitForward&#40;node&#41;
  visitConst&#40;node&#41;
  visitDeclarator&#40;node&#41;
  visitTypedef&#40;node&#41;
  visitMember&#40;node&#41;
  visitStruct&#40;node&#41;
  visitStructForward&#40;node&#41;
  visitException&#40;node&#41;
  visitCaseLabel&#40;node&#41;
  visitUnionCase&#40;node&#41;
  visitUnion&#40;node&#41;
  visitUnionForward&#40;node&#41;
  visitEnumerator&#40;node&#41;
  visitEnum&#40;node&#41;
  visitAttribute&#40;node&#41;
  visitParameter&#40;node&#41;
  visitOperation&#40;node&#41;
  visitNative&#40;node&#41;
  visitStateMember&#40;node&#41;
  visitFactory&#40;node&#41;
  visitValueForward&#40;node&#41;
  visitValueBox&#40;node&#41;
  visitValueAbs&#40;node&#41;
  visitValue&#40;node&#41;</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visitAST">visitAST</a>(<span class="variable">self</span>, <span class="variable">node</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref21.html#Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitAST" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#line98" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visitModule">visitModule</a>(<span class="variable">self</span>, <span class="variable">node</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref21.html#Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitModule" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#line99" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visitInterface">visitInterface</a>(<span class="variable">self</span>, <span class="variable">node</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref21.html#Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitInterface" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#line100" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visitForward">visitForward</a>(<span class="variable">self</span>, <span class="variable">node</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref21.html#Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitForward" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#line101" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visitConst">visitConst</a>(<span class="variable">self</span>, <span class="variable">node</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref21.html#Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitConst" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#line102" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visitDeclarator">visitDeclarator</a>(<span class="variable">self</span>, <span class="variable">node</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref21.html#Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitDeclarator" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#line103" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visitTypedef">visitTypedef</a>(<span class="variable">self</span>, <span class="variable">node</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref21.html#Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitTypedef" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#line104" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visitMember">visitMember</a>(<span class="variable">self</span>, <span class="variable">node</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref21.html#Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitMember" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#line105" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visitStruct">visitStruct</a>(<span class="variable">self</span>, <span class="variable">node</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref21.html#Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitStruct" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#line106" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visitStructForward">visitStructForward</a>(<span class="variable">self</span>, <span class="variable">node</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref21.html#Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitStructForward" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#line107" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visitException">visitException</a>(<span class="variable">self</span>, <span class="variable">node</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref21.html#Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitException" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#line108" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visitCaseLabel">visitCaseLabel</a>(<span class="variable">self</span>, <span class="variable">node</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref21.html#Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitCaseLabel" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#line109" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visitUnionCase">visitUnionCase</a>(<span class="variable">self</span>, <span class="variable">node</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref21.html#Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitUnionCase" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#line110" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visitUnion">visitUnion</a>(<span class="variable">self</span>, <span class="variable">node</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref21.html#Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitUnion" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#line111" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visitUnionForward">visitUnionForward</a>(<span class="variable">self</span>, <span class="variable">node</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref21.html#Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitUnionForward" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#line112" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visitEnumerator">visitEnumerator</a>(<span class="variable">self</span>, <span class="variable">node</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref21.html#Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitEnumerator" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#line113" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visitEnum">visitEnum</a>(<span class="variable">self</span>, <span class="variable">node</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref21.html#Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitEnum" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#line114" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visitAttribute">visitAttribute</a>(<span class="variable">self</span>, <span class="variable">node</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref21.html#Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitAttribute" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#line115" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visitParameter">visitParameter</a>(<span class="variable">self</span>, <span class="variable">node</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref21.html#Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitParameter" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#line116" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visitOperation">visitOperation</a>(<span class="variable">self</span>, <span class="variable">node</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref21.html#Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitOperation" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#line117" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visitNative">visitNative</a>(<span class="variable">self</span>, <span class="variable">node</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref21.html#Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitNative" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#line118" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visitStateMember">visitStateMember</a>(<span class="variable">self</span>, <span class="variable">node</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref21.html#Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitStateMember" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#line119" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visitFactory">visitFactory</a>(<span class="variable">self</span>, <span class="variable">node</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref21.html#Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitFactory" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#line120" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visitValueForward">visitValueForward</a>(<span class="variable">self</span>, <span class="variable">node</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref21.html#Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitValueForward" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#line121" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visitValueBox">visitValueBox</a>(<span class="variable">self</span>, <span class="variable">node</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref21.html#Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitValueBox" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#line122" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visitValueAbs">visitValueAbs</a>(<span class="variable">self</span>, <span class="variable">node</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref21.html#Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitValueAbs" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#line123" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="visitValue">visitValue</a>(<span class="variable">self</span>, <span class="variable">node</span>)  </div> <div class="xref"><a href="../../../../../XRef/xref21.html#Synopsis.Parsers.IDL.idlvisitor.AstVisitor.visitValue" ><img src="../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../Source/Synopsis/Parsers/IDL/idlvisitor.py.html#line124" ><img src="../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:27:05 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
